Redmine - Defect #8520

"Error 500" on login to a fresh Redmine 1.2.0 install
2011-06-03 20:52 - Alex Last

Status: Closed Start date: 2011-06-03
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.2.0
Description

the server log contains:

Fri Jun 03 11:49:54 -0700 2011: Error calling Dispatcher.dispatch #<NoMethodError: undefined method “[]' for nil:NilClass>

/ust/lib/ruby/1.8/mongrel/cgi.rb:108:in “send_cookies'
/ust/lib/ruby/1.8/mongrel/cgi.rb:136:in “out’
/ust/lib/ruby/1.8/mongrel/http_response.rb:65:in “start'
/usr/lib/ruby/1.8/mongrel/cgi.rb:135:in “out’
/usr/lib/ruby/1.8/mongrel/rails.rb:81:in “process’

/usr/lib/ruby/1.8/mongrel.rb:159:in
/usr/lib/ruby/1.8/mongrel.rb:158:in

/usr/lib/ruby/1.8/mongrel.rb:285:in
/usr/lib/ruby/1.8/mongrel.rb:285:in

/usr/lib/ruby/1.8/mongrel.rb:285:in
“run'
“initialize’

/usr/lib/ruby/1.8/mongrel.rb:285:in
/usr/lib/ruby/1.8/mongrel.rb:268:in

/usr/lib/ruby/1.8/mongrel.rb:268:in
‘run

/usr/lib/ruby/1.8/mongrel.rb:268:in

“process_client’
“each’
/usr/lib/ruby/1.8/mongrel.rb:158:in
“run'
“initialize'

process_client'

new

new

/ust/lib/ruby/1.8/mongrel/configurator.rb:282:in “run'
/ust/lib/ruby/1.8/mongrel/configurator.rb:281:in “each’
/ust/lib/ruby/1.8/mongrel/configurator.rb:281:in “run'
/usr/bin/mongrel_rails:129:in “run’
/usr/lib/ruby/1.8/mongrel/command.rb:212:in “run’
/usr/bin/mongrel_rails:282

Related issues:

Related to Redmine - Defect #7688: Redmine's trunk (rails 2.3.11) doesn't wor... Closed 2011-02-22

History

#1 - 2011-06-04 14:17 - Etienne Massip
Did you set up #7688 patch as mentionned in requirements ?

#2 - 2011-06-04 14:30 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Invalid

Guess not, according to #8522.

#3 - 2011-06-04 19:58 - Alex Last

can | still run the old Redmine 1.1 on the same machine if | install the patch?
| need to have several Redmine instances (1.1.1, 1.1.2, 1.2.0, ...) to test Redmine Java API and my Task Adapter application.

#4 - 2011-06-04 20:11 - Alex Last

installed 2 patches now:
https://qgist.github.com/826692

http://www.redmine.org/attachments/4699/patch_for_mongrel.rb

restarted Redmine - the same problem. the instruction should be more clear so that non-ruby-guru can install Redmine 1.2.0...
https://www.redmine.org/issues/7688
https://www.redmine.org/projects/redmine/wiki/RedmineInstall#Compatibility-notes
https://www.redmine.org/issues/8522
http://www.redmine.org/attachments/4699/patch_for_mongrel.rb

#5 - 2011-06-05 11:00 - Etienne Massip

Alexey Skor wrote:

can | still run the old Redmine 1.1 on the same machine if | install the patch?

Sorry for that, | have no clue :/

About the 2 patches, you have to drop the first one in config/initializers, that should be enough.

#6 - 2011-06-06 20:15 - Alex Last

well,| installed both and still no luck... there might be some additional steps...

#7 - 2011-06-21 11:27 - Etienne Massip

Did you finally manage to run it fine ?

#8 - 2011-06-21 19:34 - Alex Last

no, | tried couple things and then gave up.
